AvailableSettings (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Interface AvailableSettings

All Known Implementing Classes:
  Environment

    public interface AvailableSettings

Field Summary
`static String` | `APP_CLASSLOADER` Names the `ClassLoader` used to load user application classes.
`static String` | `AUTO_CLOSE_SESSION` Enable automatic session close at end of transaction
`static String` | `AUTOCOMMIT` Names the JDBC autocommit mode
`static String` | `BATCH_STRATEGY` Select a custom batcher.
`static String` | `BATCH_VERSIONED_DATA` Should versioned data be included in batching?
`static String` | `BYTECODE_PROVIDER`
`static String` | `C3P0_ACQUIRE_INCREMENT` Number of connections acquired when pool is exhausted
`static String` | `C3P0_CONFIG_PREFIX`
`static String` | `C3P0_IDLE_TEST_PERIOD` Idle time before a C3P0 pooled connection is validated
`static String` | `C3P0_MAX_SIZE` Maximum size of C3P0 connection pool
`static String` | `C3P0_MAX_STATEMENTS` Maximum size of C3P0 statement cache
`static String` | `C3P0_MIN_SIZE` Minimum size of C3P0 connection pool
`static String` | `C3P0_TIMEOUT` Maximum idle time for C3P0 connection pool
`static String` | `CACHE_NAMESPACE` The `CacheProvider` JNDI namespace, if pre-bound to JNDI.
`static String` | `CACHE_PROVIDER_CONFIG` The `CacheProvider` implementation class
`static String` | `CACHE_REGION_FACTORY` The `RegionFactory` implementation class
`static String` | `CACHE_REGION_PREFIX` The `CacheProvider` region name prefix
`static String` | `CHECK_NULLABILITY` Enable nullability checking.
`static String` | `CONNECTION_PREFIX` Names a prefix used to define arbitrary JDBC connection properties.
`static String` | `CONNECTION_PROVIDER` Names the `ConnectionProvider` to use for obtaining JDBC connections.
`static String` | `CURRENT_SESSION_CONTEXT_CLASS` Context scoping impl for `SessionFactory.getCurrentSession()` processing.
`static String` | `CUSTOM_ENTITY_DIRTINESS_STRATEGY` Setting to identify a `CustomEntityDirtinessStrategy` to use.
`static String` | `DATASOURCE` Names a `DataSource`.
`static String` | `DEFAULT_BATCH_FETCH_SIZE` The default batch size for batch fetching
`static String` | `DEFAULT_CACHE_CONCURRENCY_STRATEGY` Setting used to give the name of the default `CacheConcurrencyStrategy` to use when either `@Cacheable` or `@Cache` is used.
`static String` | `DEFAULT_CATALOG` A default database catalog name to use for unqualified tablenames
`static String` | `DEFAULT_ENTITY_MODE` The EntityMode in which set the Session opened from the SessionFactory.
`static String` | `DEFAULT_SCHEMA` A default database schema (owner) name to use for unqualified tablenames
`static String` | `DIALECT` Names the Hibernate SQL `Dialect` class
`static String` | `DIALECT_RESOLVERS` Names any additional `DialectResolver` implementations to register with the standard `DialectFactory`.
`static String` | `DRIVER` Names the JDBC driver class
`static String` | `ENVIRONMENT_CLASSLOADER` Names the `ClassLoader` used when Hibernate is unable to locates classes on the `APP_CLASSLOADER` or `HIBERNATE_CLASSLOADER`.
`static String` | `FLUSH_BEFORE_COMPLETION` Enable automatic flush during the JTA `beforeCompletion()` callback
`static String` | `FORCE_DISCRIMINATOR_IN_SELECTS_BY_DEFAULT`
`static String` | `FORMAT_SQL` Enable formatting of SQL logged to the console
`static String` | `GENERATE_STATISTICS` Enable statistics collection
`static String` | `GLOBALLY_QUOTED_IDENTIFIERS` Should all database identifiers be quoted.
`static String` | `HBM2DDL_AUTO` Auto export/update schema using hbm2ddl tool.
`static String` | `HBM2DDL_IMPORT_FILES` Comma-separated names of the optional files containing SQL DML statements executed during the SessionFactory creation.
`static String` | `HBM2DDL_IMPORT_FILES_SQL_EXTRACTOR` `String` reference to `ImportSqlCommandExtractor` implementation class.
`static String` | `HIBERNATE_CLASSLOADER` Names the `ClassLoader` responsible for loading Hibernate classes.
`static String` | `ISOLATION` Names the JDBC transaction isolation level
`static String` | `JACC_CONTEXTID` The jacc context id of the deployment
`static String` | `JMX_AGENT_ID`
`static String` | `JMX_DEFAULT_OBJ_NAME_DOMAIN`
`static String` | `JMX_DOMAIN_NAME`
`static String` | `JMX_ENABLED`
`static String` | `JMX_PLATFORM_SERVER`
`static String` | `JMX_SF_NAME`
`static String` | `JNDI_CLASS` Names the JNDI `InitialContext` class.
`static String` | `JNDI_PREFIX` Names a prefix used to define arbitrary JNDI `InitialContext` properties.
`static String` | `JNDI_URL` Names the JNDI provider/connection url
`static String` | `JPAQL_STRICT_COMPLIANCE`
`static String` | `JTA_CACHE_TM` A configuration value key used to indicate that it is safe to cache `TransactionManager` references.
`static String` | `JTA_CACHE_UT` A configuration value key used to indicate that it is safe to cache `UserTransaction` references.
`static String` | `JTA_PLATFORM` Names the `JtaPlatform` implementation to use for integrating with JTA systems.
`static String` | `MAX_FETCH_DEPTH` Maximum depth of outer join fetching
`static String` | `MULTI_TENANT` Strategy for multi-tenancy.
`static String` | `MULTI_TENANT_CONNECTION_PROVIDER` Names a `MultiTenantConnectionProvider` implementation to use.
`static String` | `MULTI_TENANT_IDENTIFIER_RESOLVER` Names a `CurrentTenantIdentifierResolver` implementation to use.
`static String` | `NON_CONTEXTUAL_LOB_CREATION` Should we not use contextual LOB creation (aka based on `Connection.createBlob()` et al).
`static String` | `ORDER_INSERTS` Enable ordering of insert statements for the purpose of more efficient JDBC batching.
`static String` | `ORDER_UPDATES` Enable ordering of update statements by primary key value
`static String` | `OUTPUT_STYLESHEET` An XSLT resource used to generate "custom" XML
`static String` | `PASS` Names the connection password.
`static String` | `POOL_SIZE` Maximum number of inactive connections for the built-in Hibernate connection pool.
`static String` | `PREFER_POOLED_VALUES_LO` When using pooled `optimizers`, prefer interpreting the database value as the lower (lo) boundary.
`static String` | `PROXOOL_CONFIG_PREFIX`
`static String` | `PROXOOL_EXISTING_POOL` Proxool property to configure the Proxool Provider from an already existing pool (`true` / `false`)
`static String` | `PROXOOL_POOL_ALIAS` Proxool property with the Proxool pool alias to use (Required for `PROXOOL_EXISTING_POOL`, `PROXOOL_PROPERTIES`, or `PROXOOL_XML`)
`static String` | `PROXOOL_PREFIX` Deprecated. Use `PROXOOL_CONFIG_PREFIX` instead
`static String` | `PROXOOL_PROPERTIES` Proxool property to configure the Proxool Provider using a properties file (`/path/to/proxool.properties`)
`static String` | `PROXOOL_XML` Proxool property to configure the Proxool Provider using an XML (`/path/to/file.xml`)
`static String` | `QUERY_CACHE_FACTORY` The `QueryCacheFactory` implementation class.
`static String` | `QUERY_PLAN_CACHE_MAX_SIZE` The maximum number of entries including: `HQLQueryPlan` `FilterQueryPlan` `NativeSQLQueryPlan` maintained by `QueryPlanCache`.
`static String` | `QUERY_PLAN_CACHE_MAX_SOFT_REFERENCES` Deprecated. in favor of `QUERY_PLAN_CACHE_MAX_SIZE`
`static String` | `QUERY_PLAN_CACHE_MAX_STRONG_REFERENCES` Deprecated. in favor of `QUERY_PLAN_CACHE_PARAMETER_METADATA_MAX_SIZE`
`static String` | `QUERY_PLAN_CACHE_PARAMETER_METADATA_MAX_SIZE` The maximum number of `ParameterMetadata` maintained by `QueryPlanCache`.
`static String` | `QUERY_STARTUP_CHECKING` Should named queries be checked during startup (the default is enabled).
`static String` | `QUERY_SUBSTITUTIONS` A comma-separated list of token substitutions to use when translating a Hibernate query to SQL
`static String` | `QUERY_TRANSLATOR` The classname of the HQL query parser factory
`static String` | `RELEASE_CONNECTIONS` Specifies how Hibernate should release JDBC connections.
`static String` | `RESOURCES_CLASSLOADER` Names the `ClassLoader` Hibernate should use to perform resource loading.
`static String` | `SESSION_FACTORY_NAME` Defines a name for the `SessionFactory`.
`static String` | `SESSION_FACTORY_NAME_IS_JNDI` Does the value defined by `SESSION_FACTORY_NAME` represent a JNDI namespace into which the `SessionFactory` should be bound?
`static String` | `SHOW_SQL` Enable logging of generated SQL to the console
`static String` | `SQL_EXCEPTION_CONVERTER` The `SQLExceptionConverter` to use for converting SQLExceptions to Hibernate's JDBCException hierarchy.
`static String` | `STATEMENT_BATCH_SIZE` Maximum JDBC batch size.
`static String` | `STATEMENT_FETCH_SIZE` Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed.
`static String` | `TRANSACTION_MANAGER_STRATEGY` Deprecated. See `JTA_PLATFORM`
`static String` | `TRANSACTION_STRATEGY` Names the implementation of `TransactionContext` to use for creating `Transaction` instances
`static String` | `URL` Names the JDBC connection url.
`static String` | `USE_GET_GENERATED_KEYS` Tells the JDBC driver to attempt to retrieve row Id with the JDBC 3.0 PreparedStatement.getGeneratedKeys() method.
`static String` | `USE_IDENTIFIER_ROLLBACK`
`static String` | `USE_MINIMAL_PUTS` Optimize the cache for minimal puts instead of minimal gets
`static String` | `USE_NEW_ID_GENERATOR_MAPPINGS` Setting which indicates whether or not the new `IdentifierGenerator` are used for AUTO, TABLE and SEQUENCE.
`static String` | `USE_QUERY_CACHE` Enable the query cache (disabled by default)
`static String` | `USE_REFLECTION_OPTIMIZER` Use bytecode libraries optimized property access
`static String` | `USE_SCROLLABLE_RESULTSET` Use JDBC scrollable `ResultSet`s.
`static String` | `USE_SECOND_LEVEL_CACHE` Enable the second-level cache (enabled by default)
`static String` | `USE_SQL_COMMENTS` Add comments to the generated SQL
`static String` | `USE_STREAMS_FOR_BINARY` Use `java.io` streams to read / write binary data from / to JDBC
`static String` | `USE_STRUCTURED_CACHE` Enable use of structured second-level cache entries
`static String` | `USER` Names the connection user.
`static String` | `USER_TRANSACTION` Deprecated. See `JTA_PLATFORM`
`static String` | `WRAP_RESULT_SETS` Enable wrapping of JDBC result sets in order to speed up column name lookups for broken JDBC drivers

Field Detail

### SESSION_FACTORY_NAME

    static final String SESSION_FACTORY_NAME

  Defines a name for the `SessionFactory`. Useful both to
  - allow serialization and deserialization to work across different jvms
  - optionally allow the SessionFactory to be bound into JNDI

  See Also:
    `SESSION_FACTORY_NAME_IS_JNDI`, Constant Field Values

### SESSION_FACTORY_NAME_IS_JNDI

    static final String SESSION_FACTORY_NAME_IS_JNDI

  Does the value defined by `SESSION_FACTORY_NAME` represent a JNDI namespace into which the `SessionFactory` should be bound?

  See Also:
    Constant Field Values

### CONNECTION_PROVIDER

    static final String CONNECTION_PROVIDER

  Names the `ConnectionProvider` to use for obtaining JDBC connections. Can either reference an instance of `ConnectionProvider` or a `Class` or `String` reference to the `ConnectionProvider` implementation class.

  See Also:
    Constant Field Values

### DRIVER

    static final String DRIVER

  Names the JDBC driver class

  See Also:
    Constant Field Values

### URL

    static final String URL

  Names the JDBC connection url.

  See Also:
    Constant Field Values

### USER

    static final String USER

  Names the connection user. This might mean one of 2 things in out-of-the-box Hibernate `ConnectionProvider`:
  - The username used to pass along to creating the JDBC connection
  - The username used to obtain a JDBC connection from a data source

  See Also:
    Constant Field Values

### PASS

    static final String PASS

  Names the connection password. See usage discussion on `USER`

  See Also:
    Constant Field Values

### ISOLATION

    static final String ISOLATION

  Names the JDBC transaction isolation level

  See Also:
    Constant Field Values

### AUTOCOMMIT

    static final String AUTOCOMMIT

  Names the JDBC autocommit mode

  See Also:
    Constant Field Values

### POOL_SIZE

    static final String POOL_SIZE

  Maximum number of inactive connections for the built-in Hibernate connection pool.

  See Also:
    Constant Field Values

### DATASOURCE

    static final String DATASOURCE

  Names a `DataSource`. Can either reference a `DataSource` instance or a JNDI name under which to locate the `DataSource`.

  See Also:
    Constant Field Values

### CONNECTION_PREFIX

    static final String CONNECTION_PREFIX

  Names a prefix used to define arbitrary JDBC connection properties. These properties are passed along to the JDBC provider when creating a connection.

  See Also:
    Constant Field Values

### JNDI_CLASS

    static final String JNDI_CLASS

  Names the JNDI `InitialContext` class.

  See Also:
    `Context.INITIAL_CONTEXT_FACTORY`, Constant Field Values

### JNDI_URL

    static final String JNDI_URL

  Names the JNDI provider/connection url

  See Also:
    `Context.PROVIDER_URL`, Constant Field Values

### JNDI_PREFIX

    static final String JNDI_PREFIX

  Names a prefix used to define arbitrary JNDI `InitialContext` properties. These properties are passed along to `InitialContext.InitialContext(java.util.Hashtable)`

  See Also:
    Constant Field Values

### DIALECT

    static final String DIALECT

  Names the Hibernate SQL `Dialect` class

  See Also:
    Constant Field Values

### DIALECT_RESOLVERS

    static final String DIALECT_RESOLVERS

  Names any additional `DialectResolver` implementations to register with the standard `DialectFactory`.

  See Also:
    Constant Field Values

### DEFAULT_SCHEMA

    static final String DEFAULT_SCHEMA

  A default database schema (owner) name to use for unqualified tablenames

  See Also:
    Constant Field Values

### DEFAULT_CATALOG

    static final String DEFAULT_CATALOG

  A default database catalog name to use for unqualified tablenames

  See Also:
    Constant Field Values

### SHOW_SQL

    static final String SHOW_SQL

  Enable logging of generated SQL to the console

  See Also:
    Constant Field Values

### FORMAT_SQL

    static final String FORMAT_SQL

  Enable formatting of SQL logged to the console

  See Also:
    Constant Field Values

### USE_SQL_COMMENTS

    static final String USE_SQL_COMMENTS

  Add comments to the generated SQL

  See Also:
    Constant Field Values

### MAX_FETCH_DEPTH

    static final String MAX_FETCH_DEPTH

  Maximum depth of outer join fetching

  See Also:
    Constant Field Values

### DEFAULT_BATCH_FETCH_SIZE

    static final String DEFAULT_BATCH_FETCH_SIZE

  The default batch size for batch fetching

  See Also:
    Constant Field Values

### USE_STREAMS_FOR_BINARY

    static final String USE_STREAMS_FOR_BINARY

  Use `java.io` streams to read / write binary data from / to JDBC

  See Also:
    Constant Field Values

### USE_SCROLLABLE_RESULTSET

    static final String USE_SCROLLABLE_RESULTSET

  Use JDBC scrollable `ResultSet`s. This property is only necessary when there is no `ConnectionProvider`, ie. the user is supplying JDBC connections.

  See Also:
    Constant Field Values

### USE_GET_GENERATED_KEYS

    static final String USE_GET_GENERATED_KEYS

  Tells the JDBC driver to attempt to retrieve row Id with the JDBC 3.0 PreparedStatement.getGeneratedKeys() method. In general, performance will be better if this property is set to true and the underlying JDBC driver supports getGeneratedKeys().

  See Also:
    Constant Field Values

### STATEMENT_FETCH_SIZE

    static final String STATEMENT_FETCH_SIZE

  Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed. If `0`, JDBC driver default settings will be used.

  See Also:
    Constant Field Values

### STATEMENT_BATCH_SIZE

    static final String STATEMENT_BATCH_SIZE

  Maximum JDBC batch size. A nonzero value enables batch updates.

  See Also:
    Constant Field Values

### BATCH_STRATEGY

    static final String BATCH_STRATEGY

  Select a custom batcher.

  See Also:
    Constant Field Values

### BATCH_VERSIONED_DATA

    static final String BATCH_VERSIONED_DATA

  Should versioned data be included in batching?

  See Also:
    Constant Field Values

### OUTPUT_STYLESHEET

    static final String OUTPUT_STYLESHEET

  An XSLT resource used to generate "custom" XML

  See Also:
    Constant Field Values

### C3P0_MAX_SIZE

    static final String C3P0_MAX_SIZE

  Maximum size of C3P0 connection pool

  See Also:
    Constant Field Values

### C3P0_MIN_SIZE

    static final String C3P0_MIN_SIZE

  Minimum size of C3P0 connection pool

  See Also:
    Constant Field Values

### C3P0_TIMEOUT

    static final String C3P0_TIMEOUT

  Maximum idle time for C3P0 connection pool

  See Also:
    Constant Field Values

### C3P0_MAX_STATEMENTS

    static final String C3P0_MAX_STATEMENTS

  Maximum size of C3P0 statement cache

  See Also:
    Constant Field Values

### C3P0_ACQUIRE_INCREMENT

    static final String C3P0_ACQUIRE_INCREMENT

  Number of connections acquired when pool is exhausted

  See Also:
    Constant Field Values

### C3P0_IDLE_TEST_PERIOD

    static final String C3P0_IDLE_TEST_PERIOD

  Idle time before a C3P0 pooled connection is validated

  See Also:
    Constant Field Values

### PROXOOL_PREFIX

    static final String PROXOOL_PREFIX

  Deprecated. Use `PROXOOL_CONFIG_PREFIX` instead
  Proxool/Hibernate property prefix

  See Also:
    Constant Field Values

### PROXOOL_XML

    static final String PROXOOL_XML

  Proxool property to configure the Proxool Provider using an XML (`/path/to/file.xml`)

  See Also:
    Constant Field Values

### PROXOOL_PROPERTIES

    static final String PROXOOL_PROPERTIES

  Proxool property to configure the Proxool Provider using a properties file (`/path/to/proxool.properties`)

  See Also:
    Constant Field Values

### PROXOOL_EXISTING_POOL

    static final String PROXOOL_EXISTING_POOL

  Proxool property to configure the Proxool Provider from an already existing pool (`true` / `false`)

  See Also:
    Constant Field Values

### PROXOOL_POOL_ALIAS

    static final String PROXOOL_POOL_ALIAS

  Proxool property with the Proxool pool alias to use (Required for `PROXOOL_EXISTING_POOL`, `PROXOOL_PROPERTIES`, or `PROXOOL_XML`)

  See Also:
    Constant Field Values

### AUTO_CLOSE_SESSION

    static final String AUTO_CLOSE_SESSION

  Enable automatic session close at end of transaction

  See Also:
    Constant Field Values

### FLUSH_BEFORE_COMPLETION

    static final String FLUSH_BEFORE_COMPLETION

  Enable automatic flush during the JTA `beforeCompletion()` callback

  See Also:
    Constant Field Values

### RELEASE_CONNECTIONS

    static final String RELEASE_CONNECTIONS

  Specifies how Hibernate should release JDBC connections.

  See Also:
    Constant Field Values

### CURRENT_SESSION_CONTEXT_CLASS

    static final String CURRENT_SESSION_CONTEXT_CLASS

  Context scoping impl for `SessionFactory.getCurrentSession()` processing.

  See Also:
    Constant Field Values

### TRANSACTION_STRATEGY

    static final String TRANSACTION_STRATEGY

  Names the implementation of `TransactionContext` to use for creating `Transaction` instances

  See Also:
    Constant Field Values

### JTA_PLATFORM

    static final String JTA_PLATFORM

  Names the `JtaPlatform` implementation to use for integrating with JTA systems. Can reference either a `JtaPlatform` instance or the name of the `JtaPlatform` implementation class

  Since:
    4.0
  See Also:
    Constant Field Values

### TRANSACTION_MANAGER_STRATEGY

    @Deprecated
    static final String TRANSACTION_MANAGER_STRATEGY

  Deprecated. See `JTA_PLATFORM`
  Names the `TransactionManagerLookup` implementation to use for obtaining reference to the JTA `TransactionManager`

  See Also:
    Constant Field Values

### USER_TRANSACTION

    @Deprecated
    static final String USER_TRANSACTION

  Deprecated. See `JTA_PLATFORM`
  JNDI name of JTA `UserTransaction` object

  See Also:
    Constant Field Values

### CACHE_REGION_FACTORY

    static final String CACHE_REGION_FACTORY

  The `RegionFactory` implementation class

  See Also:
    Constant Field Values

### CACHE_PROVIDER_CONFIG

    static final String CACHE_PROVIDER_CONFIG

  The `CacheProvider` implementation class

  See Also:
    Constant Field Values

### CACHE_NAMESPACE

    static final String CACHE_NAMESPACE

  The `CacheProvider` JNDI namespace, if pre-bound to JNDI.

  See Also:
    Constant Field Values

### USE_QUERY_CACHE

    static final String USE_QUERY_CACHE

  Enable the query cache (disabled by default)

  See Also:
    Constant Field Values

### QUERY_CACHE_FACTORY

    static final String QUERY_CACHE_FACTORY

  The `QueryCacheFactory` implementation class.

  See Also:
    Constant Field Values

### USE_SECOND_LEVEL_CACHE

    static final String USE_SECOND_LEVEL_CACHE

  Enable the second-level cache (enabled by default)

  See Also:
    Constant Field Values

### USE_MINIMAL_PUTS

    static final String USE_MINIMAL_PUTS

  Optimize the cache for minimal puts instead of minimal gets

  See Also:
    Constant Field Values

### CACHE_REGION_PREFIX

    static final String CACHE_REGION_PREFIX

  The `CacheProvider` region name prefix

  See Also:
    Constant Field Values

### USE_STRUCTURED_CACHE

    static final String USE_STRUCTURED_CACHE

  Enable use of structured second-level cache entries

  See Also:
    Constant Field Values

### GENERATE_STATISTICS

    static final String GENERATE_STATISTICS

  Enable statistics collection

  See Also:
    Constant Field Values

### USE_IDENTIFIER_ROLLBACK

    static final String USE_IDENTIFIER_ROLLBACK

See Also:
  Constant Field Values

### USE_REFLECTION_OPTIMIZER

    static final String USE_REFLECTION_OPTIMIZER

  Use bytecode libraries optimized property access

  See Also:
    Constant Field Values

### QUERY_TRANSLATOR

    static final String QUERY_TRANSLATOR

  The classname of the HQL query parser factory

  See Also:
    Constant Field Values

### QUERY_SUBSTITUTIONS

    static final String QUERY_SUBSTITUTIONS

  A comma-separated list of token substitutions to use when translating a Hibernate query to SQL

  See Also:
    Constant Field Values

### QUERY_STARTUP_CHECKING

    static final String QUERY_STARTUP_CHECKING

  Should named queries be checked during startup (the default is enabled).

  Mainly intended for test environments.

  See Also:
    Constant Field Values

### HBM2DDL_AUTO

    static final String HBM2DDL_AUTO

  Auto export/update schema using hbm2ddl tool. Valid values are `update`, `create`, `create-drop` and `validate`.

  See Also:
    Constant Field Values

### HBM2DDL_IMPORT_FILES

    static final String HBM2DDL_IMPORT_FILES

  Comma-separated names of the optional files containing SQL DML statements executed during the SessionFactory creation. File order matters, the statements of a give file are executed before the statements of the following files. These statements are only executed if the schema is created ie if `hibernate.hbm2ddl.auto` is set to `create` or `create-drop`. The default value is `/import.sql`

  See Also:
    Constant Field Values

### HBM2DDL_IMPORT_FILES_SQL_EXTRACTOR

    static final String HBM2DDL_IMPORT_FILES_SQL_EXTRACTOR

  `String` reference to `ImportSqlCommandExtractor` implementation class. Referenced implementation is required to provide non-argument constructor. The default value is `org.hibernate.tool.hbm2ddl.SingleLineSqlCommandExtractor`.

  See Also:
    Constant Field Values

### SQL_EXCEPTION_CONVERTER

    static final String SQL_EXCEPTION_CONVERTER

  The `SQLExceptionConverter` to use for converting SQLExceptions to Hibernate's JDBCException hierarchy. The default is to use the configured `Dialect`'s preferred SQLExceptionConverter.

  See Also:
    Constant Field Values

### WRAP_RESULT_SETS

    static final String WRAP_RESULT_SETS

  Enable wrapping of JDBC result sets in order to speed up column name lookups for broken JDBC drivers

  See Also:
    Constant Field Values

### ORDER_UPDATES

    static final String ORDER_UPDATES

  Enable ordering of update statements by primary key value

  See Also:
    Constant Field Values

### ORDER_INSERTS

    static final String ORDER_INSERTS

  Enable ordering of insert statements for the purpose of more efficient JDBC batching.

  See Also:
    Constant Field Values

### DEFAULT_ENTITY_MODE

    static final String DEFAULT_ENTITY_MODE

  The EntityMode in which set the Session opened from the SessionFactory.

  See Also:
    Constant Field Values

### JACC_CONTEXTID

    static final String JACC_CONTEXTID

  The jacc context id of the deployment

  See Also:
    Constant Field Values

### GLOBALLY_QUOTED_IDENTIFIERS

    static final String GLOBALLY_QUOTED_IDENTIFIERS

  Should all database identifiers be quoted.

  See Also:
    Constant Field Values

### CHECK_NULLABILITY

    static final String CHECK_NULLABILITY

  Enable nullability checking. Raises an exception if a property marked as not-null is null. Default to false if Bean Validation is present in the classpath and Hibernate Annotations is used, true otherwise.

  See Also:
    Constant Field Values

### BYTECODE_PROVIDER

    static final String BYTECODE_PROVIDER

See Also:
  Constant Field Values

### JPAQL_STRICT_COMPLIANCE

    static final String JPAQL_STRICT_COMPLIANCE

See Also:
  Constant Field Values

### PREFER_POOLED_VALUES_LO

    static final String PREFER_POOLED_VALUES_LO

  When using pooled `optimizers`, prefer interpreting the database value as the lower (lo) boundary. The default is to interpret it as the high boundary.

  See Also:
    Constant Field Values

### QUERY_PLAN_CACHE_MAX_STRONG_REFERENCES

    @Deprecated
    static final String QUERY_PLAN_CACHE_MAX_STRONG_REFERENCES

  Deprecated. in favor of `QUERY_PLAN_CACHE_PARAMETER_METADATA_MAX_SIZE`
  The maximum number of strong references maintained by `QueryPlanCache`. Default is 128.

  See Also:
    Constant Field Values

### QUERY_PLAN_CACHE_MAX_SOFT_REFERENCES

    @Deprecated
    static final String QUERY_PLAN_CACHE_MAX_SOFT_REFERENCES

  Deprecated. in favor of `QUERY_PLAN_CACHE_MAX_SIZE`
  The maximum number of soft references maintained by `QueryPlanCache`. Default is 2048.

  See Also:
    Constant Field Values

### QUERY_PLAN_CACHE_MAX_SIZE

    static final String QUERY_PLAN_CACHE_MAX_SIZE

  The maximum number of entries including:
  - `HQLQueryPlan`
  - `FilterQueryPlan`
  - `NativeSQLQueryPlan`
  maintained by `QueryPlanCache`. Default is 2048.

  See Also:
    Constant Field Values

### QUERY_PLAN_CACHE_PARAMETER_METADATA_MAX_SIZE

    static final String QUERY_PLAN_CACHE_PARAMETER_METADATA_MAX_SIZE

  The maximum number of `ParameterMetadata` maintained by `QueryPlanCache`. Default is 128.

  See Also:
    Constant Field Values

### NON_CONTEXTUAL_LOB_CREATION

    static final String NON_CONTEXTUAL_LOB_CREATION

  Should we not use contextual LOB creation (aka based on `Connection.createBlob()` et al).

  See Also:
    Constant Field Values

### APP_CLASSLOADER

    static final String APP_CLASSLOADER

  Names the `ClassLoader` used to load user application classes.

  Since:
    4.0
  See Also:
    Constant Field Values

### RESOURCES_CLASSLOADER

    static final String RESOURCES_CLASSLOADER

  Names the `ClassLoader` Hibernate should use to perform resource loading.

  Since:
    4.0
  See Also:
    Constant Field Values

### HIBERNATE_CLASSLOADER

    static final String HIBERNATE_CLASSLOADER

  Names the `ClassLoader` responsible for loading Hibernate classes. By default this is the `ClassLoader` that loaded this class.

  Since:
    4.0
  See Also:
    Constant Field Values

### ENVIRONMENT_CLASSLOADER

    static final String ENVIRONMENT_CLASSLOADER

  Names the `ClassLoader` used when Hibernate is unable to locates classes on the `APP_CLASSLOADER` or `HIBERNATE_CLASSLOADER`.

  Since:
    4.0
  See Also:
    Constant Field Values

### C3P0_CONFIG_PREFIX

    static final String C3P0_CONFIG_PREFIX

See Also:
  Constant Field Values

### PROXOOL_CONFIG_PREFIX

    static final String PROXOOL_CONFIG_PREFIX

See Also:
  Constant Field Values

### JMX_ENABLED

    static final String JMX_ENABLED

See Also:
  Constant Field Values

### JMX_PLATFORM_SERVER

    static final String JMX_PLATFORM_SERVER

See Also:
  Constant Field Values

### JMX_AGENT_ID

    static final String JMX_AGENT_ID

See Also:
  Constant Field Values

### JMX_DOMAIN_NAME

    static final String JMX_DOMAIN_NAME

See Also:
  Constant Field Values

### JMX_SF_NAME

    static final String JMX_SF_NAME

See Also:
  Constant Field Values

### JMX_DEFAULT_OBJ_NAME_DOMAIN

    static final String JMX_DEFAULT_OBJ_NAME_DOMAIN

See Also:
  Constant Field Values

### JTA_CACHE_TM

    static final String JTA_CACHE_TM

  A configuration value key used to indicate that it is safe to cache `TransactionManager` references.

  Since:
    4.0
  See Also:
    Constant Field Values

### JTA_CACHE_UT

    static final String JTA_CACHE_UT

  A configuration value key used to indicate that it is safe to cache `UserTransaction` references.

  Since:
    4.0
  See Also:
    Constant Field Values

### DEFAULT_CACHE_CONCURRENCY_STRATEGY

    static final String DEFAULT_CACHE_CONCURRENCY_STRATEGY

  Setting used to give the name of the default `CacheConcurrencyStrategy` to use when either `@Cacheable` or `@Cache` is used. `@Cache(strategy="..")` is used to override.

  See Also:
    Constant Field Values

### USE_NEW_ID_GENERATOR_MAPPINGS

    static final String USE_NEW_ID_GENERATOR_MAPPINGS

  Setting which indicates whether or not the new `IdentifierGenerator` are used for AUTO, TABLE and SEQUENCE. Default to false to keep backward compatibility.

  See Also:
    Constant Field Values

### CUSTOM_ENTITY_DIRTINESS_STRATEGY

    static final String CUSTOM_ENTITY_DIRTINESS_STRATEGY

  Setting to identify a `CustomEntityDirtinessStrategy` to use. May point to either a class name or instance.

  See Also:
    Constant Field Values

### MULTI_TENANT

    static final String MULTI_TENANT

  Strategy for multi-tenancy.

  Since:
    4.0
  See Also:
    `MultiTenancyStrategy`, Constant Field Values

### MULTI_TENANT_CONNECTION_PROVIDER

    static final String MULTI_TENANT_CONNECTION_PROVIDER

  Names a `MultiTenantConnectionProvider` implementation to use. As MultiTenantConnectionProvider is also a service, can be configured directly through the `ServiceRegistryBuilder`

  Since:
    4.1
  See Also:
    Constant Field Values

### MULTI_TENANT_IDENTIFIER_RESOLVER

    static final String MULTI_TENANT_IDENTIFIER_RESOLVER

  Names a `CurrentTenantIdentifierResolver` implementation to use.

  Can be
  - CurrentTenantIdentifierResolver instance
  - CurrentTenantIdentifierResolver implementation `Class` reference
  - CurrentTenantIdentifierResolver implementation class name

  Since:
    4.1
  See Also:
    Constant Field Values

### FORCE_DISCRIMINATOR_IN_SELECTS_BY_DEFAULT

    static final String FORCE_DISCRIMINATOR_IN_SELECTS_BY_DEFAULT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.